Package org.springframework.http.codec.multipart

# Interface Part

All Known Subinterfaces:
  `FilePart`, `FormFieldPart`

public interface Part
Representation for a part in a "multipart/form-data" request.

The origin of a multipart request may be a browser form in which case each part is either a `FormFieldPart` or a `FilePart`.

Multipart requests may also be used outside a browser for data of any content type (for example, JSON, PDF, etc).

Since:
  5.0
Author:
  Sebastien Deleuze, Rossen Stoyanchev
See Also:
  - RFC 7578 (multipart/form-data)
  - RFC 2183 (Content-Disposition)
  - HTML5 (multipart forms)

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer>`
`content()`
Return the content for this part.
`default reactor.core.publisher.Mono<Void>`
`delete()`
Return a mono that, when subscribed to, deletes the underlying storage for this part.
`HttpHeaders`
`headers()`
Return the headers associated with the part.
`String`
`name()`
Return the name of the part in the multipart form.

## Method Details

### name

String name()
Return the name of the part in the multipart form.

Returns:
  the name of the part, never `null` or empty

### headers

HttpHeaders headers()
Return the headers associated with the part.

### content

reactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer> content()
Return the content for this part.

Note that for a `FormFieldPart` the content may be accessed more easily via `FormFieldPart.value()`.

### delete

default reactor.core.publisher.Mono<Void> delete()
Return a mono that, when subscribed to, deletes the underlying storage for this part.

Since:
  5.3.13